package eu.ztsh.lib.time;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class Timer {

    private LocalDateTime currentSession;
    private final List<Duration> sessions = new ArrayList<>();

    public void start() {
        currentSession = LocalDateTime.now();
    }

    public int stop() {
        var elapsed = new Duration(currentSession, LocalDateTime.now());
        sessions.add(elapsed);
        return elapsed.getTimeSpentSeconds();
    }

    public int getElapsed() {
        return sessions.stream().mapToInt(Duration::getTimeSpentSeconds).sum();
    }

}
